ru.bitel.bgbilling.plugins.crm.common.model

## Class RegisterProblem

- java.lang.Object
- - bitel.billing.common.ModelItem
  - - ru.bitel.bgbilling.plugins.crm.common.model.RegisterProblem

- All Implemented Interfaces:
    java.io.Serializable, ListItem

      public class RegisterProblem
      extends bitel.billing.common.ModelItem
      implements ListItem

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `FIELD_CATEGORY_ID`
    `static java.lang.String` | `FIELD_CLOSE_TIME`
    `static java.lang.String` | `FIELD_CLOSE_USER_ID`
    `static java.lang.String` | `FIELD_COMMENT`
    `static java.lang.String` | `FIELD_GROUP_ID`
    `static java.lang.String` | `FIELD_ID`
    `static java.lang.String` | `FIELD_OBJECT_ID`
    `static java.lang.String` | `FIELD_OPEN_TIME`
    `static java.lang.String` | `FIELD_OPEN_USER_ID`
    `static java.lang.String` | `FIELD_RESOLUTION`
    `static java.lang.String` | `FIELD_STATUS`
    `static java.lang.String` | `FIELD_STATUS_TIME`
    `static java.lang.String` | `FIELD_STATUS_USER_ID`
    `static java.lang.String` | `FIELD_URGENCY`
    `static java.lang.String` | `STATUS_LIST`

    - ### Fields inherited from class bitel.billing.common.ModelItem

      `keys`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegisterProblem()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.util.Date` | `getAcceptTime()` Deprecated. заменен на getStatusTime()
    `java.lang.String` | `getAcceptTimeAsString()` Deprecated. заменен на getStatusTimeAsString()
    `int` | `getAcceptUserID()` Deprecated. заменен на getStatusUserID()
    `java.util.List<RegisterCall>` | `getCalls()`
    `int` | `getCategoryId()`
    `int` | `getCategoryID()` Deprecated.
    `java.util.Date` | `getCloseTime()`
    `java.lang.String` | `getCloseTimeAsString()`
    `int` | `getCloseUserId()`
    `int` | `getCloseUserID()` Deprecated.
    `java.lang.String` | `getComment()`
    `java.util.Date` | `getDateValue(java.lang.String key)`
    `java.util.List<java.lang.String>` | `getExecutors()`
    `int` | `getGroupId()`
    `int` | `getGroupID()` Deprecated.
    `int` | `getId()`
    `int` | `getObjectId()`
    `java.util.Date` | `getOpenTime()`
    `java.lang.String` | `getOpenTimeAsString()`
    `int` | `getOpenUserId()`
    `int` | `getOpenUserID()` Deprecated.
    `java.lang.String` | `getResolution()`
    `int` | `getStatus()`
    `java.util.Date` | `getStatusTime()`
    `java.lang.String` | `getStatusTimeAsString()`
    `int` | `getStatusUserId()`
    `int` | `getStatusUserID()` Deprecated.
    `java.util.List<java.lang.String>` | `getTasks()`
    `java.lang.String` | `getTitle()`
    `int` | `getUrgency()`
    `void` | `setAcceptTime(java.util.Date date)` Deprecated. заменена на setStatusTime( Date date )
    `void` | `setAccetpUserID(int userId)` Deprecated. заменен на setStatusUserID( int userId )
    `void` | `setCalls(java.util.List<RegisterCall> calls)`
    `void` | `setCategoryId(int categoryId)`
    `void` | `setCategoryID(int categoryId)` Deprecated.
    `void` | `setCloseTime(java.util.Date date)`
    `void` | `setCloseUserId(int closeUserId)`
    `void` | `setCloseUserID(int closeUserId)` Deprecated.
    `void` | `setComment(java.lang.String comment)`
    `void` | `setExecutors(java.util.List<java.lang.String> executors)`
    `void` | `setGroupId(int groupId)`
    `void` | `setGroupID(int groupId)` Deprecated.
    `void` | `setId(int id)`
    `void` | `setObjectId(int objectId)`
    `void` | `setOpenTime(java.util.Date date)`
    `void` | `setOpenUserId(int openUserId)`
    `void` | `setOpenUserID(int openUserId)` Deprecated.
    `void` | `setResolution(java.lang.String resolution)`
    `void` | `setStatus(int status)`
    `void` | `setStatusTime(java.util.Date date)`
    `void` | `setStatusUserId(int userId)`
    `void` | `setStatusUserID(int userId)` Deprecated.
    `void` | `setTasks(java.util.List<java.lang.String> tasks)`
    `void` | `setUrgency(int urgency)`
    `void` | `setValue(java.lang.String key, java.util.Date value)`

    - ### Methods inherited from class bitel.billing.common.ModelItem

      `getAllKey, getAllowKeys, getBooleanValue, getDecimalValue, getElementName, getIntValue, getValue, getXMLValue, hasValue, loadFromXML, removeValue, saveToXML, setValue, setValue, setValue, setValue, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD_ID

          public static final java.lang.String FIELD_ID

      See Also:
        Constant Field Values

    - #### FIELD_STATUS

          public static final java.lang.String FIELD_STATUS

      See Also:
        Constant Field Values

    - #### FIELD_URGENCY

          public static final java.lang.String FIELD_URGENCY

      See Also:
        Constant Field Values

    - #### FIELD_COMMENT

          public static final java.lang.String FIELD_COMMENT

      See Also:
        Constant Field Values

    - #### FIELD_GROUP_ID

          public static final java.lang.String FIELD_GROUP_ID

      See Also:
        Constant Field Values

    - #### FIELD_RESOLUTION

          public static final java.lang.String FIELD_RESOLUTION

      See Also:
        Constant Field Values

    - #### FIELD_CATEGORY_ID

          public static final java.lang.String FIELD_CATEGORY_ID

      See Also:
        Constant Field Values

    - #### FIELD_OBJECT_ID

          public static final java.lang.String FIELD_OBJECT_ID

      See Also:
        Constant Field Values

    - #### FIELD_OPEN_TIME

          public static final java.lang.String FIELD_OPEN_TIME

      See Also:
        Constant Field Values

    - #### FIELD_OPEN_USER_ID

          public static final java.lang.String FIELD_OPEN_USER_ID

      See Also:
        Constant Field Values

    - #### FIELD_STATUS_TIME

          public static final java.lang.String FIELD_STATUS_TIME

      See Also:
        Constant Field Values

    - #### FIELD_STATUS_USER_ID

          public static final java.lang.String FIELD_STATUS_USER_ID

      See Also:
        Constant Field Values

    - #### FIELD_CLOSE_TIME

          public static final java.lang.String FIELD_CLOSE_TIME

      See Also:
        Constant Field Values

    - #### FIELD_CLOSE_USER_ID

          public static final java.lang.String FIELD_CLOSE_USER_ID

      See Also:
        Constant Field Values

    - #### STATUS_LIST

          public static final java.lang.String STATUS_LIST

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RegisterProblem

          public RegisterProblem()

  - ### Method Detail

    - #### getId

          public int getId()

      Specified by:
        `getId` in interface `ListItem`

    - #### setId

          public void setId(int id)

    - #### setOpenUserId

          public void setOpenUserId(int openUserId)

    - #### setOpenUserID

          @Deprecated
          public void setOpenUserID(int openUserId)

      Deprecated.
      Использовать `setOpenUserId(int)`.
      Parameters:
        `openUserId` -

    - #### setCloseUserId

          public void setCloseUserId(int closeUserId)

    - #### setCloseUserID

          @Deprecated
          public void setCloseUserID(int closeUserId)

      Deprecated.
      Использовать `setCloseUserId(int)`.
      Parameters:
        `closeUserId` -

    - #### setStatus

          public void setStatus(int status)

    - #### setUrgency

          public void setUrgency(int urgency)

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### setGroupId

          public void setGroupId(int groupId)

    - #### setGroupID

          @Deprecated
          public void setGroupID(int groupId)

      Deprecated.
      Использовать `setGroupId(int)`.
      Parameters:
        `groupId` -

    - #### setResolution

          public void setResolution(java.lang.String resolution)

    - #### setAccetpUserID

          @Deprecated
          public void setAccetpUserID(int userId)

      Deprecated. заменен на setStatusUserID( int userId )
      Parameters:
        `userId` -

    - #### setStatusUserId

          public void setStatusUserId(int userId)

    - #### setStatusUserID

          @Deprecated
          public void setStatusUserID(int userId)

      Deprecated.
      Использовать `setStatusUserId(int)`.
      Parameters:
        `userId` -

    - #### setExecutors

          public void setExecutors(java.util.List<java.lang.String> executors)

    - #### setCategoryId

          public void setCategoryId(int categoryId)

    - #### setCategoryID

          @Deprecated
          public void setCategoryID(int categoryId)

      Deprecated.
      Использовать `setCategoryId(int)`.
      Parameters:
        `categoryId` -

    - #### setCalls

          public void setCalls(java.util.List<RegisterCall> calls)

    - #### setOpenTime

          public void setOpenTime(java.util.Date date)

    - #### setCloseTime

          public void setCloseTime(java.util.Date date)

    - #### setAcceptTime

          @Deprecated
          public void setAcceptTime(java.util.Date date)

      Deprecated. заменена на setStatusTime( Date date )
      Parameters:
        `date` -

    - #### setStatusTime

          public void setStatusTime(java.util.Date date)

    - #### setTasks

          public void setTasks(java.util.List<java.lang.String> tasks)

    - #### getOpenUserId

          public int getOpenUserId()

    - #### getOpenUserID

          @Deprecated
          public int getOpenUserID()

      Deprecated.
      Использовать `getOpenUserId()`.
      Returns:

    - #### getCloseUserId

          public int getCloseUserId()

    - #### getCloseUserID

          @Deprecated
          public int getCloseUserID()

      Deprecated.
      Использовать `getCloseUserId()`.
      Returns:

    - #### getStatus

          public int getStatus()

    - #### getUrgency

          public int getUrgency()

    - #### getComment

          public java.lang.String getComment()

    - #### getGroupId

          public int getGroupId()

    - #### getGroupID

          @Deprecated
          public int getGroupID()

      Deprecated.
      Использовать `getGroupId()`.
      Returns:

    - #### getResolution

          public java.lang.String getResolution()

    - #### getAcceptUserID

          @Deprecated
          public int getAcceptUserID()

      Deprecated. заменен на getStatusUserID()
      Возвращает код пользовтеля последним изменившем статус проблемы
      Returns:
        код пользователя

    - #### getStatusUserId

          public int getStatusUserId()

    - #### getStatusUserID

          @Deprecated
          public int getStatusUserID()

      Deprecated.
      Использовать `getStatusUserId()`.
      Returns:

    - #### getExecutors

          public java.util.List<java.lang.String> getExecutors()

    - #### getCategoryId

          public int getCategoryId()

    - #### getCategoryID

          @Deprecated
          public int getCategoryID()

      Deprecated.
      Использовать `getCategoryId()`.
      Returns:

    - #### getCalls

          public java.util.List<RegisterCall> getCalls()

    - #### getOpenTime

          public java.util.Date getOpenTime()

    - #### getOpenTimeAsString

          public java.lang.String getOpenTimeAsString()

    - #### getCloseTime

          public java.util.Date getCloseTime()

    - #### getCloseTimeAsString

          public java.lang.String getCloseTimeAsString()

    - #### getAcceptTime

          @Deprecated
          public java.util.Date getAcceptTime()

      Deprecated. заменен на getStatusTime()
      Возвращает дату последнего изменения статуса проблемы
      Returns:
        дату последнего изменения статуса проблемы

    - #### getStatusTime

          public java.util.Date getStatusTime()

    - #### getAcceptTimeAsString

          @Deprecated
          public java.lang.String getAcceptTimeAsString()

      Deprecated. заменен на getStatusTimeAsString()
      Возвращает дату последнего изменения статуса проблемы в тектстовом виде
      Returns:
        дату последнего изменения статуса проблемы

    - #### getStatusTimeAsString

          public java.lang.String getStatusTimeAsString()

    - #### getTasks

          public java.util.List<java.lang.String> getTasks()

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getObjectId

          public int getObjectId()

    - #### setObjectId

          public void setObjectId(int objectId)

    - #### getTitle

          public java.lang.String getTitle()

      Specified by:
        `getTitle` in interface `ListItem`

    - #### setValue

          public void setValue(java.lang.String key,
                               java.util.Date value)

      Overrides:
        `setValue` in class `bitel.billing.common.ModelItem`

    - #### getDateValue

          public java.util.Date getDateValue(java.lang.String key)

      Overrides:
        `getDateValue` in class `bitel.billing.common.ModelItem`